TestCommandlineOptions::Public< T > Class Template Reference

`#include <options.test.h>`

Inheritance diagram for TestCommandlineOptions::Public< T >:
[legend]
Collaboration diagram for TestCommandlineOptions::Public< T >:
[legend]

## Public Member Functions

| Public (const std::string &name)
| Public (const std::string &name, char shortName, const std::string &longName, const std::string &usage=std::string(), const std::string &description=std::string())
virtual ArgList::iterator | parse (ArgList &a, ArgList::iterator begin)
virtual bool | parse (const std::string &str)

## Constructor & Destructor Documentation

## Public() [1/2]

template<typename T>

TestCommandlineOptions::Public< T >::Public | ( | const std::string & | name | ) |

inline

## Public() [2/2]

template<typename T>

TestCommandlineOptions::Public< T >::Public | ( | const std::string & | name,
|  | char | shortName,
|  | const std::string & | longName,
|  | const std::string & | usage = `std::string()`,
|  | const std::string & | description = `std::string()`
| ) |  |

inline

## Member Function Documentation

## parse() [1/2]

template<typename T>

virtual ArgList::iterator TestCommandlineOptions::Public< T >::parse | ( | ArgList & | a,
|  | ArgList::iterator | begin
| ) |  |

inline virtual

Referenced by TestCommandlineOptions::boolOpt(), TestCommandlineOptions::intOpt(), TestCommandlineOptions::stringOpt(), TestCommandlineOptions::vectorBoolOpt(), and TestCommandlineOptions::vectorStringOpt().

## parse() [2/2]

template<typename T>

virtual bool TestCommandlineOptions::Public< T >::parse | ( | const std::string & | str | ) |

inline virtual

The documentation for this class was generated from the following file:

- options.test.h